// This file is part of the brownmove simulation package
// 
// V1.2  Apr. 2011
// 
// (C) 2003 - 2011 Tihamer Geyer
// tihamer.geyer@bioinformatik.uni-saarland.de
// 
// Check for Updates at the Project Homepage 
// http://service.bioinformatik.uni-saarland.de/brownmove



#ifndef GLOBALSTUFF_H
#define GLOBALSTUFF_H

#include <iostream>
#include <fstream>
#include <math.h>
#include <stdlib.h>
#include <string.h>
#include <map>

#include "constants.h"

namespace brown {
	//! Read next line and replace constants. 
	//! The first word is converted to lowercase if noLowerCase == false.
	//! Used by the parsers.
	int myGetLine(FILE *fp_in, char *newLine, const int maxLen, std::map<std::string, std::string> *constants, bool noLowerCase);
}


#endif /* GLOBALSTUFF_H */
